Bug 1010981 - Upstream test case failure
Upstream test case failure
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: python-urlgrabber (Show other bugs)
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Valentina Mukhamedzhanova
BaseOS QE - Apps
Depends On:
  Show dependency treegraph
Reported: 2013-09-23 08:42 EDT by Branislav Náter
Modified: 2017-12-06 07:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-12-06 07:25:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Branislav Náter 2013-09-23 08:42:46 EDT
Description of problem:
Upstream test have to be modified to deal with different error message.

Version-Release number of selected component (if applicable):

Steps to Reproduce:
1. run upstream test suite or python-urlgrabber/Sanity/general test

Actual results:
FAIL: test that MG executes the failure callback correctly
Traceback (most recent call last):
  File "test_mirror.py", line 120, in test_failure_callback
    '[Errno 14] HTTP Error 403')
  File "/tmp/tmp.0tU02QK8ih/BUILD/urlgrabber-3.9.1/test/munittest.py", line 397, in failUnlessEqual
    (msg or '%s != %s' % (`first`, `second`))
AssertionError: '[Errno 14] PYCURL ERROR 2' != '[Errno 14] HTTP Error 403'

Expected results:
no errors
Comment 2 RHEL Product and Program Management 2013-10-13 19:08:12 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 4 Jan Kurik 2017-12-06 07:25:55 EST
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:


This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:


Note You need to log in before you can comment on or make changes to this bug.